API referenceReferenceInvoices
Purchase Invoice - Replace
Replace one purchase invoice by ID (full body).
Path Parameters
business_slug*string
Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.
purchase_invoice_id*integer
Identifier of the target purchase invoice. If the ID is not known, use invoicing_purchase_invoices_list with relevant filters and/or the search parameter to locate the purchase invoice.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/v1/invoicing/string/purchase_invoice/0/" \ -H "Content-Type: application/json" \ -d '{ "invoicing_date": "2019-08-24", "amount": 0.1, "import_source": "APIX" }'{ "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "invoice_number": "string", "invoicing_date": "2019-08-24", "due_date": "2019-08-24", "sender_vat": "string", "sender_name": "string", "sender_bank_account": "string", "sender_bank_bic": "string", "receiver_vat": "string", "receiver_name": "string", "reference": "string", "message": "string", "original_invoice_xml": "http://example.com", "original_attachment": { "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "file": "http://example.com", "name": "string", "type": "string", "preview": { "image": "http://example.com", "blurhash": "string", "blurhash_w": 0, "blurhash_h": 0 }, "folder_id": 0, "blurhash": "string", "blurhash_w": 0, "blurhash_h": 0, "is_deletable": true, "analysis_badges": [ { "key": "string", "label": "string", "value": "string" } ], "analysis_results": [ { "values": [ { "type": "ATTACHMENT_TYPE", "value": "string" } ], "analysis_data": null } ], "analysis_status": "PENDING", "notes": "string" }, "amount": 0.1, "currency": "string", "virtuaaliviivakoodi": "string", "is_paid": true, "is_past_due": true, "is_deletable": true, "attachments": [ 0 ], "import_source": "APIX", "payment": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created_at": "2019-08-24T14:15:22Z", "statuses": [ { "id": 0, "message_id": "string", "status": "string", "created_at": "2019-08-24T14:15:22Z" } ] }, "payment_date": "2019-08-24", "bank_transaction": { "id": 0, "trace_id": "df570c03-5a03-4cea-8df0-c162d05127ac", "algo_status": "INITIAL", "data_source": "string", "identifier": "string", "date": "2019-08-24", "amount": 0.1, "description": "string", "contact_hint": "string", "balance_after_transaction": 0, "reference_number": "string", "payment_account_id": 0 }, "document": { "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "number": "string", "is_flagged": true, "is_locked": true, "is_draft": true, "date": "2019-08-24", "description": "string", "contact_id": 0, "contact_name": "string", "balance": 0.1, "attachment_ids": [ 0 ], "type": 0, "blueprint": { "debet_account_id": 0, "debet_entries": [], "credit_account_id": 0, "credit_entries": [], "expense_entries": [] }, "blueprint_type": "string", "import_data": { "id": 0, "trace_id": "df570c03-5a03-4cea-8df0-c162d05127ac", "algo_status": "INITIAL", "data_source": "string", "identifier": "string", "date": "2019-08-24", "amount": 0.1, "description": "string", "contact_hint": "string", "balance_after_transaction": 0, "reference_number": "string", "payment_account_id": 0 }, "entry_ui_rows": [ { "account_name": "string", "account_number": "string", "vat_code": 1, "vat_rate": "string", "is_debet": true, "amount": 0.1 } ], "audit_trail_last_seen_at": "2019-08-24T14:15:22Z", "audit_trail_has_unseen_actions": true, "audit_trail_last_mention_at": "2019-08-24T14:15:22Z", "audit_trail_last_comment_at": "2019-08-24T14:15:22Z", "tag_ids": [ 0 ], "relations": [ { "id": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "related_document": 0, "related_document_summary": { "property1": null, "property2": null }, "description": "string", "role": "ACCRUAL", "type": "ACCRUAL_PAIR", "source_document_signals": { "property1": null, "property2": null }, "related_document_signals": { "property1": null, "property2": null } } ], "relation_network_signals": "string", "relation_entry_signals": "string", "available_link_kinds": "string", "eu_b2b_vat_details_missing": true, "eu_sale_to_private_person": true }, "tag_ids": [ 0 ], "pis_payment": {}}